安装SQL Server 2008反复提示需要安装MICROSOFT .NET FRAMEWORK 3.5 SP1的一个解决办法

在安装过.net  framework 4的系统中,安装sql server 2008的安装前提之一MICROSOFT .NET FRAMEWORK 3.5 SP1时,可能已经安装并重启了,还是提示安装MICROSOFT .NET FRAMEWORK 3.5 SP1

参照这篇文章,http://www.undermyhat.org/blog/2011/03/resolved-microsoft-sql-server-2008-setup-requires-microsoft-net-framework-3-5-sp1-to-be-installed/

如果你已经安装过.net  framework 4,那么可能在安装MICROSOFT .NET FRAMEWORK 3.5 SP1时注册表中SP的状态没有从0改为1,

修改HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\NET Framework Setup\NDP\v3.5,右边的SP从0改为1


posted @ 2011-08-31 17:30  邀月  阅读(18057)  评论(10编辑  收藏  举报